> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Build a dataset based on a description, without a workflow, ad-hoc

> This sends an agent to build a dataset with a specific data schema



## OpenAPI

````yaml https://app.jsonify.com/static/openapi.yaml post /api/v2/dataset/start
openapi: 3.0.0
info:
  title: Jsonify Platform API
  version: 2.0.0
  description: The Jsonify platform API lets you create and manage agent and data tasks.
servers:
  - url: https://api.jsonify.com
    description: Production server
security: []
paths:
  /api/v2/dataset/start:
    post:
      summary: Build a dataset based on a description, without a workflow, ad-hoc
      description: This sends an agent to build a dataset with a specific data schema
      parameters:
        - name: query
          in: query
          required: true
          description: The query to make
          example: sama@openai.com
          schema:
            type: string
        - name: method
          in: query
          required: false
          description: >-
            Method to use, 'simple' or 'advanced'. Advanced may return better
            results, but uses more credits
          schema:
            type: string
            example: simple
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: string
              description: A JSON schema to extract against
              example:
                name: <the users name>
                company: <the users company>
      responses:
        '200':
          description: >-
            An in-progress result, which you can retrieve later with
            /result/{result_id}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    AgentResponse:
      type: object
      properties:
        message:
          type: string
          example: started
        result:
          $ref: '#/components/schemas/Agent'
        success:
          type: boolean
          example: true
    Agent:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AgentID'
    AgentID:
      type: string
      format: uuid
      example: e4ab8b5b-45bd-4e0f-8abb-5ce8a4db255e
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````